<?php

if ( ! function_exists( 'guj_footer_styles' ) ) :
/**
 * Styles the footer text and background color
 *
 * @package guj
 */
function guj_footer_styles() {
        
        $footer_text_color = guj_get_option('footer_text_color');
	$footer_bg_color = guj_get_option('footer_bg_color');
        
        /*
	 * Do we have a custom footer text color?
	 */
                
        if ( '#fff' != $footer_text_color ) { ?>
            
            <style type="text/css">
                
                .site-footer, .footer-menu ul a, .footer-social ul li a, .site-info, .site-info a {
                    color: <?php echo esc_attr($footer_text_color) ;?>
                }
            </style>

        <?php }
        
	/*
	 * Do we have a custom links color?
	 */
        
	if ( '#424B54' != $footer_bg_color ) { ?>
            <style type="text/css">
                .site-footer {
                background-color: <?php echo esc_attr( $footer_bg_color ); ?>;
                }
            </style>
	<?php
	} 
}
endif;

add_action( 'wp_head', 'guj_footer_styles' );
